| http://www.sim.no/ http://www.coin3d.org/

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoShapeStyleElement Class Reference
Element Classes

The SoShapeStyleElement class is yet to be documented.FIXME: write doc. More...

`#include <Inventor/elements/SoShapeStyleElement.h>`

Inheritance diagram for SoShapeStyleElement:

## Public Types

enum

Flags {
LIGHTING = 0x00000100, TEXENABLED = 0x00000200, TEXFUNC = 0x00000400, BBOXCMPLX = 0x00000800,
INVISIBLE = 0x00001000, ABORTCB = 0x00002000, OVERRIDE = 0x00004000, TEX3ENABLED = 0x00008000,
BIGIMAGE = 0x00010000, BUMPMAP = 0x00020000, VERTEXARRAY = 0x00040000, TRANSP_TEXTURE = 0x00080000,
TRANSP_MATERIAL = 0x00100000, TRANSP_SORTED_TRIANGLES = 0x00200000, SHADOWMAP = 0x00400000, SHADOWS = 0x00800000
}

## Public Member Functions

virtual void | init (SoState *state)
| FIXME: write doc.
virtual void | push (SoState *state)
| FIXME: write doc.
virtual void | pop (SoState *state, const SoElement *prevTopElement)
| FIXME: write doc.
virtual SbBool | matches (const SoElement *element) const
| FIXME: write doc.
virtual SoElement * | copyMatchInfo (void) const
| FIXME: write doc.
unsigned int | getFlags (void) const
SbBool | mightNotRender (void) const
SbBool | needNormals (void) const
SbBool | needTexCoords (void) const
int | getRenderCaseMask (void) const
SbBool | isTextureFunction (void) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
void | setDepth (const int depth)
int | getDepth (void) const
virtual void | print (FILE *file=stdout) const
virtual | ~SoElement ()

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static const SoShapeStyleElement * | get (SoState *const state)
| FIXME: write doc.
static void | setDrawStyle (SoState *const state, const int32_t value)
| FIXME: write doc.
static void | setComplexityType (SoState *const state, const int32_t value)
| FIXME: write doc.
static void | setTransparencyType (SoState *const state, const int32_t value)
| FIXME: write doc.
static void | setTextureEnabled (SoState *const state, const SbBool value)
| FIXME: write doc.
static void | setTexture3Enabled (SoState *const state, const SbBool value)
static void | setTextureFunction (SoState *const state, const SbBool value)
| FIXME: write doc.
static void | setLightModel (SoState *const state, const int32_t value)
| FIXME: write doc.
static void | setOverrides (SoState *const state, const SbBool value)
| FIXME: write doc.
static SbBool | isScreenDoor (SoState *const state)
| FIXME: write doc.
static int | getTransparencyType (SoState *const state)
static void | setBumpmapEnabled (SoState *state, const SbBool value)
static void | setBigImageEnabled (SoState *state, const SbBool value)
static void | setVertexArrayRendering (SoState *state, const SbBool value)
static void | setTransparentMaterial (SoState *state, const SbBool value)
static void | setTransparentTexture (SoState *state, const SbBool value)
static void | setShadowMapRendering (SoState *state, const SbBool value)
static void | setShadowsRendering (SoState *state, const SbBool value)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions

virtual | ~SoShapeStyleElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members

Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoShapeStyleElement class is yet to be documented.

FIXME: write doc.

## Constructor & Destructor Documentation

## ◆ ~SoShapeStyleElement()

SoShapeStyleElement::~SoShapeStyleElement | ( |  | ) |

protectedvirtual

The destructor.

## Member Function Documentation

## ◆ createInstance()

void * SoShapeStyleElement::createInstance | ( | void |  | ) |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

## ◆ initClass()

void SoShapeStyleElement::initClass | ( | void |  | ) |

static

This static method initializes static data for the SoShapeStyleElement class.

## ◆ getFlags()

unsigned int SoShapeStyleElement::getFlags | ( | void |  | ) | const

Returns the state flags. Used internally to optimize rendering.

\ since Coin 2.4

## ◆ mightNotRender()

SbBool SoShapeStyleElement::mightNotRender | ( | void |  | ) | const

FIXME: write doc.

## ◆ needNormals()

SbBool SoShapeStyleElement::needNormals | ( | void |  | ) | const

FIXME: write doc.

## ◆ needTexCoords()

SbBool SoShapeStyleElement::needTexCoords | ( | void |  | ) | const

FIXME: write doc.

## ◆ getRenderCaseMask()

int SoShapeStyleElement::getRenderCaseMask | ( | void |  | ) | const

Not implemented in Coin. It is used by SoVertexProperty in SGI OIV.

## ◆ setTexture3Enabled()

void SoShapeStyleElement::setTexture3Enabled | ( | SoState *const | state,
|  | const SbBool | value
| ) |  |

static

FIXME: write doc.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

## ◆ getTransparencyType()

int SoShapeStyleElement::getTransparencyType | ( | SoState *const | state | ) |

static

Returns the current transparency type.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

## ◆ isTextureFunction()

SbBool SoShapeStyleElement::isTextureFunction | ( | void |  | ) | const

Returns if texture function is currently enabled.

## ◆ setBumpmapEnabled()

void SoShapeStyleElement::setBumpmapEnabled | ( | SoState * | state,
|  | const SbBool | value
| ) |  |

static

Sets bumpmap enabled.

Since
  Coin 2.4

## ◆ setBigImageEnabled()

void SoShapeStyleElement::setBigImageEnabled | ( | SoState * | state,
|  | const SbBool | value
| ) |  |

static

Sets bigimage enabled.

Since
  Coin 2.4

## ◆ setVertexArrayRendering()

void SoShapeStyleElement::setVertexArrayRendering | ( | SoState * | state,
|  | const SbBool | value
| ) |  |

static

Sets if vertex array rendering might be used.

Since
  Coin 2.4

## ◆ setTransparentMaterial()

void SoShapeStyleElement::setTransparentMaterial | ( | SoState * | state,
|  | const SbBool | value
| ) |  |

static

Sets material transparency.

Since
  Coin 2.4

## ◆ setTransparentTexture()

void SoShapeStyleElement::setTransparentTexture | ( | SoState * | state,
|  | const SbBool | value
| ) |  |

static

Sets texture transparency.

Since
  Coin 2.4

## ◆ setShadowMapRendering()

void SoShapeStyleElement::setShadowMapRendering | ( | SoState * | state,
|  | const SbBool | value
| ) |  |

static

Sets whether we are rendering to a shadow (depth) map or not.

Since
  Coin 2.5

## ◆ setShadowsRendering()

void SoShapeStyleElement::setShadowsRendering | ( | SoState * | state,
|  | const SbBool | value
| ) |  |

static

Sets whether we are rendering with shadows or not.

Since
  Coin 2.5

The documentation for this class was generated from the following files:

- SoShapeStyleElement.h
- SoShapeStyleElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.